### Method

# Gtk ListView set_factory

#### Declaration [src]

    void
    gtk_list_view_set_factory (
      GtkListView* self,
      GtkListItemFactory* factory
    )

#### Description [src]

Sets the `GtkListItemFactory` to use for populating list items.

Sets property | `Gtk.ListView:factory`

#### Parameters

`factory`

  Type: `GtkListItemFactory`

  The factory to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.